########################
##Filosofía "tidyverse"#
########################

#Instalación

install.packages("tidyverse")
library(tidyverse)

#Lectura de datos con {readr} y concepto de tibble

biocrust<-read.csv("biocrust.csv",header=TRUE)
head(biocrust)
str(biocrust)

biocrust<-read_table("biocrust.csv")
biocrust
biocrust<-read_delim("biocrust.csv",delim=",")
biocrust

#Manipulaciones de datos

abies<-read_csv("Abies.csv")
select(abies,starts_with("199"))
select(abies,DBH)


#Concepto de datos "tidy"


emisiones<-read_delim("GHG_wide.csv",delim=",")
head(emisiones)
emisiones_long<-pivot_longer(data=emisiones,cols=2:ncol(emisiones),names_to="year",values_to="CO2e")


#Otras manipulaciones

emisiones_long<-rename(emisiones_long,Country="Country Name")
filter(emisiones_long,Country=="Spain")
#subset()

#resúmenes de datos


#aggregate() versus group_by() + summarise()


GHG_total<-aggregate(CO2e~year,data=emisiones_long,FUN=sum)

head(GHG_total)

emisiones_long<-na.omit(emisiones_long)
GHG_total<-as_tibble(emisiones_long)

GHG_total<-group_by(emisiones_long,year)

GHG_total<-summarise(GHG_total,total=sum(CO2e))
