### SCRIPT VISUALIZACIÓN ####

#1. Visualización básica ####

plot()

data("AirPassengers")
AirPassengers
class(AirPassengers)

plot(AirPassengers)

data("airquality")
airquality
plot(airquality)

#2. Barras: Conteos de datos ####

queen<-read.table("Queen_scalop.txt")

tabla<-table(queen$A..opercularis)

barplot(tabla)

#3. Diagramas de puntos o dispersión ####

library(readr)
life_expectancy_vs_gdp_per_capita <- read_csv("life-expectancy-vs-gdp-per-capita.csv",
col_types = cols(`GDP per capita ($)` = col_double(),
`Life expectancy at birth (years)` = col_double()))
View(life_expectancy_vs_gdp_per_capita)

life<-life_expectancy_vs_gdp_per_capita

colnames(life)<-c("Country","Code","Year","Life","GDP","Pop")

plot(x=life$GDP,y=life$Life)

life2016<-subset(life,Year==2016)

plot(x=life2016$GDP,y=life2016$Life)


#Personalización de nuestro gráfico

lifeSpain<-subset(life,Country=="Spain")
lifeFrance<-subset(life,Country=="France")
lifePortugal<-subset(life,Country=="Portugal")

lifeEurope<-rbind(lifeSpain,lifeFrance,lifePortugal)

head(lifeEurope)
lifeEurope<-subset(lifeEurope,Year>1799)

plot(lifeEurope$Year,lifeEurope$GDP)

plot(lifeEurope$Year,lifeEurope$GDP,pch=12)

plot(lifeEurope$Year,lifeEurope$GDP,pch=lifeEurope$Country)

plot(lifeEurope$Year,lifeEurope$GDP,pch=as.numeric(as.factor(lifeEurope$Country)))

plot(lifeEurope$Year,lifeEurope$GDP,col=3)

plot(lifeEurope$Year,lifeEurope$GDP,col=as.factor(lifeEurope$Country),
     main="Evolución de la renta en tres países europeos",
     xlab="Año",
     ylab="GDP")


#4. Gráficos de líneas####

library(readr)
mauna<-read_delim("maunaloa.csv",delim=",")
plot(mauna$date,mauna$ppm)
plot(mauna$date,mauna$ppm,type="l")
plot(mauna$date,mauna$ppm,type="s")
mauna2017<-subset(mauna,year>2016)
plot(mauna2017$date,mauna2017$ppm,type="s")


#5. Distribución de una variable numérica: boxplots o cajas####

ecotoxicidad<-read.csv("ecotoxicidad.csv")

boxplot(ecotoxicidad$Growth)

points(mean(ecotoxicidad$Growth))

boxplot(ecotoxicidad$Growth~ecotoxicidad$Metal)

boxplot(Growth~Metal,data=ecotoxicidad)

#7. Distribución de una variable numérica: histogramas y densidad ####

fir<-read.table("fir.txt",header=TRUE)
hist(fir$DBH)
hist(fir$DBH,breaks=10)

hist(fir$DBH,breaks=8,
     main="Histograma de abetos",
     xlab="Diámetro",
     ylab="Frecuencia",
     col="Brown",
     border="Yellow",
     xlim=c(6,12))

densidad<-density(fir$DBH)
densidad<-na.omit(fir$DBH)
densidad<-density(densidad)
densidad
plot(densidad)


#8. Combinación de gráficos y exportación####

par(mfrow=c(2,2)) # Rellena fila a fila el gráfico (2 filas y 2 columnas)

par(mfcol=c(2,2)) # Rellena columna a columna el gráfico (2 filas y 2 columnas)

energy<-read.csv("energy-use-per-capita.csv")
head(energy)

colnames(energy)<-c("Country","Code","Year","Energy")

  #1 Gráfico
Spain<-subset(energy,Country=="Spain")
plot(Spain$Year,Spain$Energy)

  # 2 Gráfico
Germany<-subset(energy,Country=="Germany")
plot(Germany$Year,Germany$Energy,type="l")

  # 3 Gráfico
Italy<-subset(energy,Country=="Italy")
plot(Italy$Year,Italy$Energy,type="s")

  # 4 gráfico
Angola<-subset(energy,Country=="Angola")
France<-subset(energy,Country=="France")
juntos<-rbind(Angola,France)


plot(juntos$Year,juntos$Energy,col=as.factor(juntos$Country),main="d) Comparación de dos naciones")


#9. R como SIG: Visualización de datos espaciales####

install.packages("raster")
library(raster)

tmedia<-raster("tmedia.tif")
plot(tmedia)

install.packages("sf")
library(sf)

parques<-read_sf("parques")
limites<-st_geometry(parques)

plot(parques)
plot(tmedia)
plot(parques,add=TRUE)

invasoras<-read.csv("invasoras.csv")
seleccion<-subset(invasoras,aespecie=="Acacia_dealbata" | aespecie=="Agave_americana")
coordenadas<-seleccion[-c(1)]
points(coordenadas$POINT_X,coordenadas$POINT_Y,col=as.factor(seleccion$aespecie))

datos<-extract(tmedia,coordenadas,dt=TRUE)
datos<-cbind(datos,seleccion$aespecie)
boxplot(temedia~seleccion$aespecie,data=datos)