################################################################################

#  Taller GBIF.ES: Manejo, visualizacin y anlisis de datos en ecologa con R
# Code by: Julia Chacn Labella
# Date: Octubre 2019
# email: chacon.julia@inia.es
# Tema 4: Manipulacin de objetos

#############################################################################
# Operaciones bsicas para conocer los objetos
############################################################################
##  ORDENAR Y RESUMIR DATOS, CONTAR VALORES
##  LIMPIEZA DE DATOS
##  REORGANIZACION DE DATOS
############################################################################

##  ORDENAR Y RESUMIR DATOS, CONTAR VALORES
library(vegan)
data("BCI")

head(BCI) # tabla de composicion de una comunidad (inventario)

##  rowSums
rowSums(BCI)

##  colSums
colSums(BCI)

##  table nos permite hacer tablas resumen de los datos
data(iris)
table(iris$Species)
table(BCI$Zanthoxylum.panamense)

## RECORDATORIO sobre seleccion de datos de un data frame usando corchetes
iris[,2]
iris[,1:2]
head(iris[,c("Sepal.Width", "Species")])

#####
# otro ejemplo con table
table(iris$Species)
table(iris[,c("Species","Sepal.Width")])

##  summary
summary(iris$Species)
summary(iris[,c("Species","Sepal.Width")])

## ordenar un vector o un data frame
# sort()
w <- c(2,5,2,3,4,5,5,1,1,4,7,NA,9)
w
sort(w)
sort(w, decreasing=TRUE)
sort(w, decreasing=TRUE, na.last=TRUE)

# order() # ordena en sentido creciente
order(w)
order(-w) # sentido decreciente

# EJEMPLO
sort(iris$Petal.Length)

order(iris$Petal.Length)

iris[order(iris$Petal.Length),]

##  LIMPIEZA DE DATOS

# duplicated() # duplicados de indice menor (por debajo)
rep(c("flor", "flor", "cosa"), times=3)
duplicated(rep(c("flor", "flor", "cosa"), times=3))

cosa <- rep(c("flor", "flor", "cosa"), times=3)
duplicated(cosa)

# unique()  # te devuelve valores unicos
unique(cosa)

## REORGANIZACION DE DATOS
# trasposicin de matrices y data frames
head(nuevas.filas)
t(nuevas.filas)

m <- matrix(data=c(101:112), nrow=3, ncol=4) # crear una matriz
m
t(m)

