
################################################################################

#  Taller GBIF.ES: Manejo, visualización y análisis de datos en ecología con R
# Code by: Julia Chac?n Labella
# Date: Octubre 2019
# email: chacon.julia@inia.es

################################################################################
# TEMA 3.-  Tipos de objetos (continuación)
################################################################################

# Introducción a los tipos de datos y estructuras
# 1. vectores
# 2. listas
# 3. arrays
# 4. matrices
# 5. data frames

################################################################################
################################################################################
# 3)   Arrays
################################################################################
# Parecidos a un vector pero con m?s de dos dimensiones. Yo las llamo CAPAS.

miarray36 <- array(data=1:36, dim=c(3,4,3)) # ojo al numero de capas: 3 x 4 = 12
miarray36

#como acceder a los elementos de un array
# miarray36[,,,]

miarray36[1,2,3]
miarray36[1,3,3]

#hay que decirle la fila, la columna y la capa. Justo en el caso anterior he
#seleccionado la primera capa

# seleccionar la primera fila de todas las capas (con todas las columnas)
miarray36[1,,]
# y nos lo ha puesto en forma de matriz

# otro ejemplo
miarray36[1,2:3,1]

################################################################################
# 4) Matrices
################################################################################

m <- matrix(data=c(101:112), nrow=3, ncol=4) # crear una matriz
m
# acceder a los elementos de una matriz
m[3,]
m[3,1] # tercera fila, primera columna
m[3,4] # tercera fila, cuarta columna

# seleccionar una parte de la matriz
m[3,]#fila completa
m[,4]#columna completa
m
m[1:2,1:2] # de la primera a la segunda fila, de la primera a la segunda columna
m[1:2,] # de la primera a la segunda fila, todas las columnas
m
m[,3:4] # todas las filas, de la tercera a la cuarta columna
m
m[3:4] # por orden
m[6:7]
m[3]


m[-3,] #quitando una fila
m[,-3] #quitando una columna

matriz.peque?a <- m[,-3]  # reasignar la matriz con otros valores
matriz.peque?a


# asignar valores, hacer cambios de valores
m[1] <- 5
m
m[1:2,1:2] <- matrix(c(1:4),nrow=2,ncol=2)
m
m[2,3]<-1000
m

is.matrix(m)
is.matrix(as.matrix(1:10))
is.matrix(v)


##########################################
## Example of setting row and column names
mdat <- matrix(c(1,2,3, 11,12,13), nrow = 2, ncol = 3, byrow = TRUE,
               dimnames = list(c("row1", "row2"),
                               c("C.1", "C.2", "C.3")))
mdat
class(mdat) # class se utiliza para consultar la clase de objeto


# consultar los nombres de filas y columnas
rownames(mdat)
colnames(mdat)
dimnames(mdat)

# consultar los atributos de esta matiz
attributes(mdat)
# se pueden cambiar los atributos de un objeto. ejemplo
dim(mdat)
dim(mdat) <- NULL
mdat # al quitarle las dimensiones a la matriz la transformo en un vector
class(mdat) # class se utiliza para consultar la clase de objeto
