
################################################################################

#  Taller GBIF.ES: Manejo, visualización y análisis de datos en ecología con R
# Code by: Julia Chacón Labella
# Date: Octubre 2019
# email: chacon.julia@inia.es

################################################################################
# TEMA 3.-  Tipos de objetos
################################################################################

# Introducci?n a los tipos de datos y estructuras
# 1. vectores
# 2. listas
# 3. arrays
# 4. matrices
# 5. data frames

################################################################################
# 1) Vectores y operaciones con vectores
################################################################################
# CREAR VECTORES

mivector <- c("julia","ruben","alejandro")
mivector2 <- c(2,4,6,8,10,12,14,16)
mivector2

# utilizando el operador :
1:10 # genera una secuencia de numeros en este rango
# utilizando la funcion seq()
seq(from=5, to=25, by=5)
seq(from=2, to=20, by=2)
seq(from=2, to=10, by=2)

# manipular la longitud con lenght()
v <- 1:10
v
length(v)
length(v) <- 5
v

length(v) <- 10
v

# Otras curiosidades de los vectores:
v <- 1:12
v
length(v)
v[12]
v[5]
v[15]
v[15] <- 30
v[14]<-"julia"
v

# funciones interesantes rm() class(), typeof()
rm(v)
rm(mivector2)

v <- 1:10 # vector de numeros
v
v <- c(1,2,3,4,"julia") #vector de numeros y characteres
v

# Ya hemos visto algunas operaciones con vectores en el Tema 1
#vamos a seguir con las listas

################################################################################
# 2)  Listas
################################################################################

# en una lista los elementos es una colecci?n ordenada de objetos
# hay que pensar en una estructura de arbol (o esquema)
# donde de una rama salen otras ramas
# tambien podemos pensar en ellas como "bloques de bloques"
# La longitud de una lista es el numero de elementos que le hemos metido

milista <- list("Quercus","Betula","Abies","Fagus","Taxus")
milista
## como acceder a una lista. Por la posici?n del elemento en la lista
milista[1]
milista[[1]]
## como acceder a una lista. SI tiene nombres, por el nombre
names(milista)
names(milista) <- c("sp1", "sp2", "sp3", "sp4", "sp5")
names(milista)
milista
milista$sp1 # para referirnos a un elemento dentro de una lista
milista[[1]]
milista$sp1[2]

milista <- list(1,2,3,4,5)
milista
names(milista)<-c("sp1", "sp2", "sp3", "sp4", "sp5")
names(milista)
milista
