########################################
###Introducción a la estadística con R##
########################################

# Regresión lineal con una variable

install.packages("emdbook")
library(emdbook)
library(tidyverse)

data("ReedfrogFuncresp")
str(ReedfrogFuncresp)

ggplot(ReedfrogFuncresp,aes(x=Initial,y=Killed))+geom_point()

cor(ReedfrogFuncresp)
cor.test(ReedfrogFuncresp$Initial,ReedfrogFuncresp$Killed)

lmfrogs<-lm(Killed~Initial,data=ReedfrogFuncresp)
summary(lmfrogs)

cor(ReedfrogFuncresp,method="kendall")

plot(lmfrogs)


#Regresión lineal con más variables

library(pander)
data(CO2)
str(CO2)
ggplot(CO2,aes(x=conc,y=uptake))+geom_point()
ggplot(CO2,aes(x=conc,y=uptake,col=Treatment))+geom_point()+facet_grid(.~Type)+
  geom_smooth(aes(col=Treatment))

lmCO2<-lm(uptake~conc+Treatment+Type,data=CO2)
lmCO2%>%summary()%>%pander()
lmCO2<-lm(uptake~conc+Treatment*Type,data=CO2)
lmCO2%>%summary()%>%pander()

lmCO2%>%anova()
lmCO2%>%anova()%>%pander()
AIC(lmCO2); BIC(lmCO2)

lmCO2B<-lm(uptake~conc+Treatment:Type,data=CO2)
AIC(lmCO2B)
lmCO2C<-lm(uptake~conc+Treatment+Type,data=CO2)
AIC(lmCO2C)
library(MASS)
stepAIC(lmCO2,trace=1,direction="both")

loess(uptake~conc,data=CO2)%>%summary()
